Bug 172981 - installonlyn plugin not removing kernel-smp-devel
installonlyn plugin not removing kernel-smp-devel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 14:15 EST by Gene Czarcinski
Modified: 2014-01-21 17:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-16 18:46:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2005-11-11 14:15:35 EST
Description of problem:
OK, I have updated yum and then updated the kernel packages on my fc5dev 
system.  I notice that the old kernel-smp packages are removed so I only have 
a couple of kernels installed but the corresponding kernel-smp-devel packages 
are NOT removed.

I have not tried this on kernel (up) and kernel-devel situations.

Version-Release number of selected component (if applicable):
yum-2.4.0-12

-------------------------------------------------------
Note ... Jef Spaleta has the following comment:

that one is touchy. Anyone building modules for distribution might
want to keep the -devel packages around even if the kernels themselves
go away. But thats sort of a special case compared to the 90% usage
case.

As a user,even a user who occasionally needs to rebuild modules
locally i dont need the kernel-devel packages on the system if the
kernel is no longer there, so I'd want the -devel packages and any
associated module packages to disappear with the old kernels.

But there might be a need for a blacklist/whitelist for this plugin so
people can set specific wildcard lists to be ignored   
ignore=kernel*-devel     for example if you need to keep the devel
packages around without the kernels.
--------------------------------------------------------------------
Comment 1 Jeremy Katz 2005-11-11 23:16:13 EST
Fixed in -13
Comment 2 Gene Czarcinski 2005-11-12 09:33:00 EST
Sorry, not fixed.

OK, I first installed the updated yum.  I have tokeep=3 and the following installed:

kernel-doc-2.6.14-1.1660_FC5
kernel-smp-2.6.14-1.1651_FC5
kernel-smp-2.6.14-1.1660_FC5
kernel-smp-devel-2.6.14-1.1651_FC5
kernel-smp-devel-2.6.14-1.1660_FC5

Running "yum update kernel*", I get:

Installing:
 kernel-smp              i686       2.6.14-1.1663_FC5  devel-local        16 M
 kernel-smp-devel        i686       2.6.14-1.1663_FC5  devel-local       4.2 M
Updating:
 kernel-doc              noarch     2.6.14-1.1663_FC5  devel-local       2.4 M
Removing:
 kernel-smp              i686       2.6.14-1.1651_FC5  installed          45 M

This does not seem correct, so installed a couple extra old kernel-smp packages
and kernel-smp-devel packages (I keep some older stuff around):

kernel-doc-2.6.14-1.1660_FC5
kernel-smp-2.6.14-1.1651_FC5
kernel-smp-2.6.14-1.1654_FC5
kernel-smp-2.6.14-1.1657_FC5
kernel-smp-2.6.14-1.1660_FC5
kernel-smp-devel-2.6.14-1.1651_FC5
kernel-smp-devel-2.6.14-1.1654_FC5
kernel-smp-devel-2.6.14-1.1657_FC5
kernel-smp-devel-2.6.14-1.1660_FC5

When I run "yum update kernel*" this time I get:

Installing:
 kernel-smp              i686       2.6.14-1.1663_FC5  devel-local        16 M
 kernel-smp-devel        i686       2.6.14-1.1663_FC5  devel-local       4.2 M
Updating:
 kernel-doc              noarch     2.6.14-1.1663_FC5  devel-local       2.4 M
Removing:
 kernel-smp              i686       2.6.14-1.1657_FC5  installed          45 M
 kernel-smp              i686       2.6.14-1.1654_FC5  installed          45 M

This does not seem correct either but I let yum update.  The result is:

Removed: kernel-smp.i686 0:2.6.14-1.1657_FC5 kernel-smp.i686
0:2.6.14-1.1654_FC5Installed: kernel-smp.i686 0:2.6.14-1.1663_FC5
kernel-smp-devel.i686 0:2.6.14-1.1663_FC5
Updated: kernel-doc.noarch 0:2.6.14-1.1663_FC5

and now have:

kernel-doc-2.6.14-1.1663_FC5
kernel-smp-2.6.14-1.1651_FC5
kernel-smp-2.6.14-1.1660_FC5
kernel-smp-2.6.14-1.1663_FC5
kernel-smp-devel-2.6.14-1.1651_FC5
kernel-smp-devel-2.6.14-1.1654_FC5
kernel-smp-devel-2.6.14-1.1657_FC5
kernel-smp-devel-2.6.14-1.1660_FC5
kernel-smp-devel-2.6.14-1.1663_FC5

1. tokeep=3 does not look like it is being honored.

2. The removes look like they are based on install time rather than (as I would
expect) version/release.

3. kernel-smp-devel packages are not being cleaned up.
Comment 3 Jeremy Katz 2005-11-16 18:46:59 EST
Oops, missed a bit.  Fixed it for real.

Note You need to log in before you can comment on or make changes to this bug.